using Newtonsoft.Json;
using Pilz.Net.CloudProviders.Nextcloud.OCS.Responses;

namespace Pilz.Net.CloudProviders.Nextcloud.Client.Apps.FileRetention.Ocs;

public class OcsResponseDataEntryRetention : OcsResponseDataEntry
{
    [JsonProperty("id")]
    public int? ID { get; set; }

    [JsonProperty("tagid")]
    public int? TagID { get; set; }

    [JsonProperty("timeunit")]
    public int? TimeUnit { get; set; }

    [JsonProperty("timeamount")]
    public int? TimeAmount { get; set; }

    [JsonProperty("timeafter")]
    public int? TimeAfter { get; set; }

    [JsonProperty("hasJob")]
    public bool? HasJob { get; set; }
}
